Categories:
  - Multimedia
  - Security
License: GPL-3.0-only
AuthorName: Arctosoft AB
AuthorWebSite: https://arctosoft.com/
SourceCode: https://github.com/Arctosoft/Valv-Android
IssueTracker: https://github.com/Arctosoft/Valv-Android/issues
Changelog: https://github.com/Arctosoft/Valv-Android/releases
Donate: https://arctosoft.com/donate/
Liberapay: hej2010

AutoName: Valv

RepoType: git
Repo: https://github.com/Arctosoft/Valv-Android.git
Binaries: https://github.com/Arctosoft/Valv-Android/releases/download/v%v/Vault_%c_%v_release.apk

Builds:
  - versionName: 1.4.3
    versionCode: 16
    commit: a692fa48aa473506b54f1c572ec589c828c4d1d8
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    srclibs:
      - reproducible-apk-tools@v0.2.3
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
      'META-INF/services/*'

  - versionName: 1.5.1
    versionCode: 18
    commit: 83d7629d8068731d1c2f71334bc281ce28c1e8c9
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    srclibs:
      - reproducible-apk-tools@v0.2.3
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
      'META-INF/services/*'

  - versionName: 1.5.2
    versionCode: 19
    commit: a083ebfed4e8812ec31217cb18df9a6b1cdf89fc
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    srclibs:
      - reproducible-apk-tools@v0.2.3
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
      'META-INF/services/*'

  - versionName: 1.6.1
    versionCode: 21
    commit: ac1066daf74af3790d49178d6c25627bd0449658
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    srclibs:
      - reproducible-apk-tools@v0.2.3
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
      'META-INF/services/*'

  - versionName: 1.7.0
    versionCode: 23
    commit: de722362b3a492f89b2cb194712c231d2b993aee
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    srclibs:
      - reproducible-apk-tools@v0.2.3
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
      'META-INF/services/*'

  - versionName: 1.8.0
    versionCode: 24
    commit: d36de38b765e7de5b55cdc1b5d087540efd793de
    subdir: app
    gradle:
      - yes
    srclibs:
      - reproducible-apk-tools@v0.2.3
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
      'META-INF/services/*'

AllowedAPKSigningKeys: 06dd0cd0942f0c8b29fb2f19f6d4853eb7d69df0c98352197f24ade170a93aba

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: 1.8.0
CurrentVersionCode: 24
